Page MenuHomePhabricator

Page scrolls to the top when the the ULS gear icon is clicked
Closed, ResolvedPublic

Description

If the ULS gear icon is clicked, the page scrolls to the top instead of staying with the section where the ULS dialog should be displayed. The dialog is shown next to the gear icon but the user has to scroll down to it after being taken to the top of the page right after clicking the gear icon.

Checked on bn.wikipedia.org

Event Timeline

Arrbee created this task.Oct 13 2017, 6:04 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 13 2017, 6:04 PM

Usually MLEB wikis use the top-icon, so this is not a high priority for MLEB.

Amire80 triaged this task as High priority.Dec 18 2017, 7:33 PM
Amire80 added a subscriber: Amire80.

High priority for Wikimedia projects, though.

santhosh claimed this task.Jan 4 2018, 4:20 AM
santhosh moved this task from Backlog to In Progress on the Language-2018-Jan-Mar board.

Change 401891 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/UniversalLanguageSelector@master] Prevent page scroll to top while clicking on language settings icon

https://gerrit.wikimedia.org/r/401891

Video showing page scroll Before the patch:


Video showing no page scroll after the patch:

Change 401891 merged by jenkins-bot:
[mediawiki/extensions/UniversalLanguageSelector@master] Prevent page scroll to top while clicking on language settings icon

https://gerrit.wikimedia.org/r/401891

Nikerabbit removed a project: Patch-For-Review.
Nikerabbit moved this task from Backlog to 2018.01 on the MediaWiki Language Extension Bundle board.

Checked in betalabs - thx, @santhosh for fixing this annoying issue. I will re-check it in wmf.16.

Etonkovidova closed this task as Resolved.Jan 9 2018, 1:17 AM
Nikerabbit moved this task from QA to Done on the Language-2018-Jan-Mar board.Jan 9 2018, 7:31 AM